<?php

namespace Superrobota;

use DB;
use Illuminate\Database\Seeder;

class AnnouncementTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('advertisments')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'announcement.advertisment.view',
                'name'      => 'View Advertisment',
            ],
            [
                'slug'      => 'announcement.advertisment.create',
                'name'      => 'Create Advertisment',
            ],
            [
                'slug'      => 'announcement.advertisment.edit',
                'name'      => 'Update Advertisment',
            ],
            [
                'slug'      => 'announcement.advertisment.delete',
                'name'      => 'Delete Advertisment',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/announcement/advertisment',
                'name'        => 'Advertisment',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/announcement/advertisment',
                'name'        => 'Advertisment',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'advertisment',
                'name'        => 'Advertisment',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Announcement',
                'module'    => 'Advertisment',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'announcement.advertisment.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
