<?php

namespace Superrobota;

use DB;
use Illuminate\Database\Seeder;

class AnnouncementTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('job_offerts')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'announcement.job_offert.view',
                'name'      => 'View JobOffert',
            ],
            [
                'slug'      => 'announcement.job_offert.create',
                'name'      => 'Create JobOffert',
            ],
            [
                'slug'      => 'announcement.job_offert.edit',
                'name'      => 'Update JobOffert',
            ],
            [
                'slug'      => 'announcement.job_offert.delete',
                'name'      => 'Delete JobOffert',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/announcement/job_offert',
                'name'        => 'JobOffert',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/announcement/job_offert',
                'name'        => 'JobOffert',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'job_offert',
                'name'        => 'JobOffert',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Announcement',
                'module'    => 'JobOffert',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'announcement.job_offert.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
