<?php

namespace Superrobota;

use DB;
use Illuminate\Database\Seeder;

class AnnouncementTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('training_offerts')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'announcement.training_offert.view',
                'name'      => 'View TrainingOffert',
            ],
            [
                'slug'      => 'announcement.training_offert.create',
                'name'      => 'Create TrainingOffert',
            ],
            [
                'slug'      => 'announcement.training_offert.edit',
                'name'      => 'Update TrainingOffert',
            ],
            [
                'slug'      => 'announcement.training_offert.delete',
                'name'      => 'Delete TrainingOffert',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/announcement/training_offert',
                'name'        => 'TrainingOffert',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/announcement/training_offert',
                'name'        => 'TrainingOffert',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'training_offert',
                'name'        => 'TrainingOffert',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Announcement',
                'module'    => 'TrainingOffert',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'announcement.training_offert.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
