    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#details" data-toggle="tab">  {!! trans('announcement::rental_offer.name') !!}</a></li>
            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-success btn-sm" data-action='NEW' data-load-to='#announcement-rental_offer-entry' data-href='{{guard_url('announcement/rental_offer/create')}}'><i class="fa fa-plus-circle"></i> {{ trans('app.new') }}</button>
                @if($rental_offer->id )
                <button type="button" class="btn btn-primary btn-sm" data-action="EDIT" data-load-to='#announcement-rental_offer-entry' data-href='{{ guard_url('announcement/rental_offer') }}/{{$rental_offer->getRouteKey()}}/edit'><i class="fa fa-pencil-square"></i> {{ trans('app.edit') }}</button>
                <button type="button" class="btn btn-danger btn-sm" data-action="DELETE" data-load-to='#announcement-rental_offer-entry' data-datatable='#announcement-rental_offer-list' data-href='{{ guard_url('announcement/rental_offer') }}/{{$rental_offer->getRouteKey()}}' >
                <i class="fa fa-times-circle"></i> {{ trans('app.delete') }}
                </button>
                @endif
            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('announcement-rental_offer-show')
        ->method('POST')
        ->files('true')
        ->action(guard_url('announcement/rental_offer'))!!}
            <div class="tab-content clearfix disabled">
                <div class="tab-pan-title"> {{ trans('app.view') }}   {!! trans('announcement::rental_offer.name') !!}  [{!! $rental_offer->name !!}] </div>
                <div class="tab-pane active" id="details">
                    @include('announcement::admin.rental_offer.partial.entry', ['mode' => 'show'])
                </div>
            </div>
        {!! Form::close() !!}
    </div>