<?php

namespace Superrobota\Announcement\Repositories\Eloquent;

use Superrobota\Announcement\Interfaces\AdvertismentRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class AdvertismentRepository extends BaseRepository implements AdvertismentRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('superrobota.announcement.advertisment.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('superrobota.announcement.advertisment.model.model');
    }
}
