<?php

namespace Superrobota\Announcement\Repositories\Eloquent;

use Superrobota\Announcement\Interfaces\RentalOfferRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class RentalOfferRepository extends BaseRepository implements RentalOfferRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('superrobota.announcement.rental_offer.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('superrobota.announcement.rental_offer.model.model');
    }
}
