Lavalite package that provides announcement management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `superrobota/announcement`.

    "superrobota/announcement": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Superrobota\Announcement\Providers\AnnouncementServiceProvider::class,

And also add it to alias

    'Announcement'  => Superrobota\Announcement\Facades\Announcement::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Superrobota\\AnnouncementTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Superrobota\Announcement\Providers\AnnouncementServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Superrobota\Announcement\Providers\AnnouncementServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Superrobota\Announcement\Providers\AnnouncementServiceProvider" --tag="view"


## Usage


