    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#rental_offer" data-toggle="tab">{!! trans('announcement::rental_offer.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#announcement-rental_offer-edit'  data-load-to='#announcement-rental_offer-entry' data-datatable='#announcement-rental_offer-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#announcement-rental_offer-entry' data-href='{{guard_url('announcement/rental_offer')}}/{{$rental_offer->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('announcement-rental_offer-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('announcement/rental_offer/'. $rental_offer->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="rental_offer">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('announcement::rental_offer.name') !!} [{!!$rental_offer->name!!}] </div>
                @include('announcement::admin.rental_offer.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>